Get action requirement details for a sub number order
Returns the input fields an action requirement needs and the current requirement action for a sub number order. Action requirements are fulfilled by an external step rather than by uploading documents. Australia mobile ID verification is currently the only action requirement. Once a verification link has been generated, it is returned in requirement_action.value.
GET
/
external_requirements
/
{regulatory_requirement_id}
/
sub_number_orders
/
{sub_number_order_id}
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
const response = await client.externalRequirements.subNumberOrders.retrieve('regulatory_requirement_id', 'sub_number_order_id');
console.log(response.data);import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
response = client.external_requirements.sub_number_orders.retrieve(
"regulatory_requirement_id",
"sub_number_order_id",
)
print(response.data)
package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
subNumberOrder, err := client.ExternalRequirements.SubNumberOrders.Get(
context.TODO(),
"regulatory_requirement_id",
"sub_number_order_id",
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", subNumberOrder.Data)
}
package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
var response = client.externalRequirements().subNumberOrders().retrieve("regulatory_requirement_id", "sub_number_order_id");
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
response = telnyx.external_requirements.sub_number_orders.retrieve("regulatory_requirement_id", "sub_number_order_id")
puts(response)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$response = $client->externalRequirements->subNumberOrders->retrieve(
'regulatory_requirement_id',
'sub_number_order_id',
);
var_dump($response);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx external-requirements:sub-number-orders retrieve \
--api-key 'My API Key' \
--regulatory-requirement-id regulatory_requirement_id \
--sub-number-order-id sub_number_order_idcurl --request GET \
--url https://api.telnyx.com/v2/external_requirements/{regulatory_requirement_id}/sub_number_orders/{sub_number_order_id} \
--header 'Authorization: Bearer <token>'{
"data": {
"regulatory_requirement_id": "a5b8f1d2-3c4e-4f6a-8b9c-0d1e2f3a4b5c",
"fields_required": [
{
"name": "first_name",
"type": "string",
"description": "First Name",
"value": null
},
{
"name": "last_name",
"type": "string",
"description": "Last Name",
"value": null
}
],
"requirement_action": {
"type": "id_verification",
"value": null
}
}
}{
"errors": [
{
"code": "10009",
"title": "Authentication failed",
"detail": "Could not understand the provided credentials.",
"meta": {
"url": "https://developers.telnyx.com/docs/overview/errors/10009"
}
}
]
}{
"errors": [
{
"code": "10007",
"title": "Unexpected error",
"detail": "An unexpected error occured.",
"source": {
"pointer": "/base",
"parameter": "<string>"
},
"meta": {
"url": "https://developers.telnyx.com/docs/overview/errors/10015"
}
}
]
}{
"errors": [
{
"code": "10007",
"title": "Unexpected error",
"detail": "An unexpected error occured.",
"source": {
"pointer": "/base",
"parameter": "<string>"
},
"meta": {
"url": "https://developers.telnyx.com/docs/overview/errors/10015"
}
}
]
}Authorizations
Path Parameters
Was this page helpful?
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
const response = await client.externalRequirements.subNumberOrders.retrieve('regulatory_requirement_id', 'sub_number_order_id');
console.log(response.data);import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
response = client.external_requirements.sub_number_orders.retrieve(
"regulatory_requirement_id",
"sub_number_order_id",
)
print(response.data)
package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
subNumberOrder, err := client.ExternalRequirements.SubNumberOrders.Get(
context.TODO(),
"regulatory_requirement_id",
"sub_number_order_id",
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", subNumberOrder.Data)
}
package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
var response = client.externalRequirements().subNumberOrders().retrieve("regulatory_requirement_id", "sub_number_order_id");
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
response = telnyx.external_requirements.sub_number_orders.retrieve("regulatory_requirement_id", "sub_number_order_id")
puts(response)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$response = $client->externalRequirements->subNumberOrders->retrieve(
'regulatory_requirement_id',
'sub_number_order_id',
);
var_dump($response);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx external-requirements:sub-number-orders retrieve \
--api-key 'My API Key' \
--regulatory-requirement-id regulatory_requirement_id \
--sub-number-order-id sub_number_order_idcurl --request GET \
--url https://api.telnyx.com/v2/external_requirements/{regulatory_requirement_id}/sub_number_orders/{sub_number_order_id} \
--header 'Authorization: Bearer <token>'{
"data": {
"regulatory_requirement_id": "a5b8f1d2-3c4e-4f6a-8b9c-0d1e2f3a4b5c",
"fields_required": [
{
"name": "first_name",
"type": "string",
"description": "First Name",
"value": null
},
{
"name": "last_name",
"type": "string",
"description": "Last Name",
"value": null
}
],
"requirement_action": {
"type": "id_verification",
"value": null
}
}
}{
"errors": [
{
"code": "10009",
"title": "Authentication failed",
"detail": "Could not understand the provided credentials.",
"meta": {
"url": "https://developers.telnyx.com/docs/overview/errors/10009"
}
}
]
}{
"errors": [
{
"code": "10007",
"title": "Unexpected error",
"detail": "An unexpected error occured.",
"source": {
"pointer": "/base",
"parameter": "<string>"
},
"meta": {
"url": "https://developers.telnyx.com/docs/overview/errors/10015"
}
}
]
}{
"errors": [
{
"code": "10007",
"title": "Unexpected error",
"detail": "An unexpected error occured.",
"source": {
"pointer": "/base",
"parameter": "<string>"
},
"meta": {
"url": "https://developers.telnyx.com/docs/overview/errors/10015"
}
}
]
}